﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.78
@EndOfDesignText@
#IgnoreWarnings: 12

Sub Class_Globals
	
	Dim BANano As BANano 'ignore
	
	Dim MarkerClusterGroupObject As BANanoObject
	
	Dim L As BANanoObject

End Sub

'
'Initializes the MarkerClusterGroup
Public Sub Initialize
	L.Initialize("L")
	MarkerClusterGroupObject = L.RunMethod("markerClusterGroup", Null)
End Sub

'
'The maximum radius that a cluster will cover from 
'the central marker (in pixels). The default radius is 80.
'Increasing the radius will make fewer, bigger clusters.
'Decreasing the radius will make more, smaller clusters.
Sub SetMaxClusterRadius(Radius As Int)
	MarkerClusterGroupObject.GetField("options").SetField("maxClusterRadius", Radius)
End Sub

'
'Adds a marker to the MarkerClusterGroup
'
'Example: <code>
'	
'Dim myMarker As BANanoLeafletMarker
'myMarker.Initialize2(48.856613, 2.352222)
'myMarkerClusterGroup.AddMarker(myMarker)
'</code>	
Sub AddMarker(Marker As BANanoLeafletMarker)
	MarkerClusterGroupObject.RunMethod("addLayer", Marker.MarkerObject)
End Sub